package cz.uhk.fim.denotevrenychdveri.fragments;


import android.os.Bundle;
import android.support.design.widget.TabLayout;
import android.support.v4.app.Fragment;
import android.support.v4.view.ViewPager;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import cz.uhk.fim.denotevrenychdveri.views.adapters.EventFragmentPagerAdapter;
import cz.uhk.fim.denotevrenychdveri.R;


/**
 * A simple {@link Fragment} subclass.
 */
public class EventFragment extends Fragment {


    public EventFragment() {
        // Required empty public constructor
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
       View rootView = inflater.inflate(R.layout.pager_event, container, false);
        ViewPager viewPager = (ViewPager) rootView.findViewById(R.id.event_pager);
        EventFragmentPagerAdapter eventFragmentPagerAdapter = new EventFragmentPagerAdapter(getContext(),getChildFragmentManager());
        viewPager.setAdapter(eventFragmentPagerAdapter);

        TabLayout tabLayout = (TabLayout) rootView.findViewById(R.id.event_tab);
        tabLayout.setupWithViewPager(viewPager);
        return rootView;
    }

}
