package cz.uhk.fim.denotevrenychdveri.fragments;


import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;

import java.sql.Date;
import java.sql.Time;
import java.util.ArrayList;

import cz.uhk.fim.denotevrenychdveri.views.adapters.EventAdapter;
import cz.uhk.fim.denotevrenychdveri.R;
import cz.uhk.fim.denotevrenychdveri.models.Event;


/**
 * A simple {@link Fragment} subclass.
 */
public class WorkshopEventFragment extends Fragment {


    public WorkshopEventFragment() {
        // Required empty public constructor
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.list_event, container, false);
        ArrayList<Event> events = new ArrayList<>();

        events.add(new Event(1, "Nebojte se simulovat","popis",1,new Date(8099), new Time(1452846600000L),new Time(1452848400000L),"J9","2. podlazi FIM",false));
        events.add(new Event(1, "Barvení grafů","popis",1,new Date(8099), new Time(1452849300000L),new Time(1452851100000L),"J9","2. podlazi FIM",false));
        events.add(new Event(1, "Rovnice na SŠ neřešené","popis",1,new Date(8099), new Time(1452852000000L),new Time(1452853800000L),"J9","2. podlazi FIM",false));
        events.add(new Event(1, "Cesta hráče rulety","popis",1,new Date(8099), new Time(1452854700000L),new Time(1452856500000L),"J9","2. podlazi FIM",false));
        events.add(new Event(1, "Natřete to webům","popis",1,new Date(8099), new Time(1452846600000L),new Time(1452848400000L),"J10","2. podlazi FIM",false));
        events.add(new Event(1, "Zkrocení grafické karty","popis",1,new Date(8099), new Time(1452849300000L),new Time(1452851100000L),"J10","2. podlazi FIM",false));
        events.add(new Event(1, "Oracle Apex: Jak vyzrát na databázové aplikace","popis",1,new Date(1452852000000L), new Time(1452853800000L),new Time(8099),"J10","2. podlazi FIM",false));
        events.add(new Event(1, "Zkrocení grafické karty","popis",1,new Date(8099), new Time(1452854700000L),new Time(1452856500000L),"J10","2. podlazi FIM",false));
        events.add(new Event(1, "Přijímačky z matematiky na nečisto","popis",1,new Date(1452846600000L), new Time(1452846600000L),new Time(1452850200000L),"J14","2. podlazi FIM",false));
        events.add(new Event(1, "Přijímačky z matematiky na nečisto","popis",1,new Date(1452852000000L), new Time(1452852000000L),new Time(1452855600000L),"J14","2. podlazi FIM",false));


        EventAdapter eventAdapter = new EventAdapter(getActivity(),events);
        ListView mainEventslistView = (ListView) rootView.findViewById(R.id.main_event_list);
        mainEventslistView.setAdapter(eventAdapter);


        return rootView;
    }

}
